/*  linemon - a simple TCP/IP connectivity test/stats program
    to monitor the connectivity between two hosts.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Copyright 2001 by Jarle (jgaa) Aase, jgaa@jgaa.com
    http://www.jgaa.com
*/

#ifndef GETOPT_H_INCLUDED
#define GETOPT_H_INCLUDED

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

    /* ---------------- START OF C HEADER -------------- */

    int getopt_long(int argc,
                    char * const argv[],
                    const char *optstring,
                    const struct option *longopts,
                    int *longindex);

    struct option
    {
        const char *name;
        int has_arg;
        int *flag;
        int val;
    };

    enum {no_argument, required_argument, optional_argument};

    extern const char *optarg;
    extern int optind, opterr, optopt;


    /* ---------------- END OF C HEADER -------------- */
#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* GETOPT_H_INCLUDED */

